﻿using Infragistics.Windows;
using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamTextEditor_InnerEditor
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.xamTextEditor1.EditModeStarted += XamTextEditor1_EditModeStarted;
        }

        private void XamTextEditor1_EditModeStarted(object sender, Infragistics.Windows.Editors.Events.EditModeStartedEventArgs e)
        {
            var xamTextEditor = sender as XamTextEditor;
            if (xamTextEditor1 != null)
            {
                var innerEditor = Utilities.GetDescendantFromName(xamTextEditor as DependencyObject, "PART_FocusSite") as TextBox;
                innerEditor.KeyDown += (_sender, _e) =>
                {
                    innerEditor.MoveFocus(new TraversalRequest(FocusNavigationDirection.Next));
                };
            }
        }
    }
}
